# ApiGatewayTargetConfigurationProps

Properties for creating an API Gateway target configuration.

Extends: ApiGatewayTargetConfigurationProps
Used as props by: ApiGatewayTargetConfiguration

- Source: [`aws-bedrockagentcore/lib/gateway/targets/target-configuration.ts`](https://github.com/aws/aws-cdk/blob/v2.274.0/packages/aws-cdk-lib/aws-bedrockagentcore/lib/gateway/targets/target-configuration.ts#L577)
- Type last changed: v2.255.0 · 19 May 2026

## Example

```ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_apigateway as apigateway } from 'aws-cdk-lib';
import { aws_bedrockagentcore as bedrockagentcore } from 'aws-cdk-lib';

declare const apiGatewayHttpMethod: bedrockagentcore.ApiGatewayHttpMethod;
declare const restApi: apigateway.RestApi;
const apiGatewayTargetConfigurationProps: bedrockagentcore.ApiGatewayTargetConfigurationProps = {
  apiGatewayToolConfiguration: {
    toolFilters: [{
      filterPath: 'filterPath',
      methods: [apiGatewayHttpMethod],
    }],

    // the properties below are optional
    toolOverrides: [{
      method: apiGatewayHttpMethod,
      name: 'name',
      path: 'path',

      // the properties below are optional
      description: 'description',
    }],
  },
  restApi: restApi,

  // the properties below are optional
  metadataConfiguration: {
    allowedQueryParameters: ['allowedQueryParameters'],
    allowedRequestHeaders: ['allowedRequestHeaders'],
    allowedResponseHeaders: ['allowedResponseHeaders'],
  },
  stage: 'stage',
};
```

## Properties

- `apiGatewayToolConfiguration`: [ApiGatewayToolConfiguration](/cdk/api/v2/docs/aws-cdk-lib.aws_bedrockagentcore.ApiGatewayToolConfiguration.html) (required) — Tool configuration defining which operations to expose.

- `metadataConfiguration`: [MetadataConfiguration](/cdk/api/v2/docs/aws-cdk-lib.aws_bedrockagentcore.MetadataConfiguration.html) — Metadata configuration for passing headers and query parameters Allows you to pass additional context through headers and query parameters.

  **Default:** No metadata configuration

- `restApi`: [IRestApi](/cdk/api/v2/docs/aws-cdk-lib.aws_apigateway.IRestApi.html) (required) — The REST API to integrate with Must be in the same account and region as the gateway.

- `stage`: string — The stage name of the REST API.

  **Default:** Uses the deployment stage from the RestApi (restApi.deploymentStage.stageName)
